typedef struct zone_struct {
	spinlock_t		lock;
	unsigned long		free_pages;
	unsigned long		inactive_clean_pages;
	unsigned long		inactive_dirty_pages;
	unsigned long		pages_min, pages_low, pages_high;

	struct list_head	inactive_clean_list;
	free_area_t		free_area[MAX_ORDER];

	struct pglist_data	*zone_pgdat;
	struct page		*zone_mem_map;
	unsigned long		zone_start_paddr;
	unsigned long		zone_start_mapnr;

	char			*name;
	unsigned long		size;
} zone_t;
